*,
html {
    --primaryGradient: linear-gradient(93.12deg, #581B98 0.52%, #9C1DE7 100%);
    --secondaryGradient: linear-gradient(268.91deg, #581B98 -2.14%, #9C1DE7 99.69%);
    --primaryBoxShadow: 0px 10px 15px rgba(0, 0, 0, 0.1);
    --secondaryBoxShadow: 0px -10px 15px rgba(0, 0, 0, 0.1);
    --primary: #C43C3D;
}

:root {
    --button-color: rgb(27, 160, 98);
    --button-hover-color: rgb(27, 126, 80);
}

input[type="button"].ok {
    border: 1px solid var(--button-color);
    background-color: var(--button-color);
    background-image: none;
    padding: 8px 10px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    
    color: #ffffff;
    border-radius: 3px;
    cursor: pointer;
    font-size: 15px;
    min-height: 45px;
    box-sizing: border-box;
}

input[type="button"].ok:hover {
    background-color: var(--button-hover-color);
    border-color: var(--button-hover-color);
    background-image:none;
}

input[type="button"].ok:active {
    background-color: var(--button-hover-color);
    border-color: var(--button-hover-color);
    background-image:none;
}



#loading-wrapper {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}

#loading-text {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    color: #666;
    width: 100px;
    height: 30px;
    margin: -7px 0 0 -45px;
    text-align: center;
    font-family: 'Noto Sans TC', Roboto, Arial, Helvetica, serif;
    font-size: 16px;
}

#loading-content {
    display: block;
    position: relative;
    left: 50%;
    top: 50%;
    width: 170px;
    height: 170px;
    margin: -85px 0 0 -85px;
    border: 3px solid #F00;
}

#loading-content:after {
    content: "";
    position: absolute;
    border: 3px solid #0F0;
    left: 15px;
    right: 15px;
    top: 15px;
    bottom: 15px;
}

#loading-content:before {
    content: "";
    position: absolute;
    border: 3px solid #00F;
    left: 5px;
    right: 5px;
    top: 5px;
    bottom: 5px;
}

#loading-content {
    border: 3px solid transparent;
    border-top-color: transparent;
    border-bottom-color: transparent;
    border-radius: 50%;
    -webkit-animation: loader 2s linear infinite;
    -moz-animation: loader 2s linear infinite;
    -o-animation: loader 2s linear infinite;
    animation: loader 2s linear infinite;
}

.manager-body table,
.manager-body table tbody,
.manager-body table tr,
.manager-body table th,
.manager-body table td{
   background-color: transparent;
    border: none !important;        /* 邊框透明 */
    color: white;
}

.manager-body h5.section_page_title {
    width:100%;
    font-size:1.6rem;
    text-align:center;
    margin-bottom:0px;
    background: transparent;
   color:#fff;
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
    padding-bottom: 10px;
    line-height:1.2;
    border-bottom: 1px solid #aaa;
}
.manager-body .papermanager_main {
    width:100%;
     background-image: url('../img/bg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
.manager-body .final_button {
    height:100%;
    padding:0;
    align-content: center;
    margin-top: -50px;
}
.manager-body .flattable_decoration {
    box-shadow: 0px 0px 18px 0px rgba(0,0,0,0.5);
    margin:auto;
    background: #fff0;
    border-radius: 8px;
    width: 350px;
    height: 550px;
    backdrop-filter: blur(6px);
    border: 1px solid #aaa;
}
.manager-body .ok.menu {
    font-family: 'Noto Sans TC', Roboto, Arial, Helvetica, serif;
    border-radius:6px;
}

.papermanager_main {
    overflow:initial;
    height:auto;
}
.papermanager_main {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    display:flex;
    height:100vh;
    background:#f5f5f5;
    overflow:hidden;
    padding-top:0;
    padding-bottom:0;
}

.login-body h5.section_page_title {
    width:100%;
    font-size:1.6rem;
    text-align:center;
    margin-bottom:0px;
    background: transparent;
    color:#fff;
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
    padding-bottom: 10px;
    line-height:1.2;
    border-bottom: 1px solid #aaa;
}
.login-body .papermanager_main {
    width:100%;
    background-image: url('../img/bg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height:100%;
}
.login-body .final_button {
    height:100%;
    padding:0;
    align-content: center;
    margin-top: -50px;
}
.login-body .flattable_decoration {
    box-shadow: 0px 0px 18px 0px rgba(0,0,0,0.5);
    margin:auto;
    background: #fff0;
    border-radius: 8px;
    width: 350px;
    height: 450px;
    backdrop-filter: blur(6px);
    border: 1px solid #aaa;
}
.login-body .ok.menu {
    font-family: 'Noto Sans TC', Roboto, Arial, Helvetica, serif;
}
.small-heading {
    font-size:1.2rem;
    top: 0px;
    position: relative;
    font-weight:300;
}
.login-body .main-menu .ok.menu {
    font-size:1.4rem;
    font-weight:700;
    width: 200px;
    height: 80px;
    align-self: center;
    display:flex;
    border-radius: 6px;
}
.main-menu {
    display:flex;
    gap:15px;
    justify-content: center;
    flex-direction: column;
}
.login-body .ok.menu.login, .login-body .dev-button .ok.menu {
    margin-top:15px;
    width: 200px;
    border-radius: 6px;
}
.section_page_title.promptheader {
    width:100%;
    text-align:center;
}

h5.section_page_title.imgupload {
    margin-bottom:0;
    margin-top:0;
}
.section_sign {
    font-size: 22px;
    font-family: 'ç´°æ˜Žé«”', Helvetica, Arial, sans-serif;
    font-weight: initial;
}
.section_page_title {
    font-size: 45px;
    margin-left: auto;
    margin-right: auto;
    font-weight: bold;
    color: #d29776;
    clear: both;
    padding-bottom: 10px;
}
h5.section_page_title {
    margin-bottom:0;
    text-align: center;
}
.final_button {
    text-align: center;
    padding-bottom: 10px;
    padding-top: 10px;
}
.final_button.authorization, .final_button.tempadvisor {
    margin-bottom:60px;
}

input[type="submit"].ok {
    border: 1px solid rgb(15, 122, 146);
    background-color: rgb(13, 117, 165);
    background-image: linear-gradient(rgb(13, 117, 165) 20%, rgb(13, 117, 165) 50%, rgb(13, 117, 165) 52%, rgb(13, 117, 165) 100%);
    padding: 8px 10px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    min-width: 120px;
    color: #ffffff;
    border-radius: 3px;
    cursor: pointer;
    font-size: 15px;
    min-height: 40px;
    box-sizing: border-box;
}

input[type="submit"].ok:hover {
    background-color: rgb(14, 134, 189);
    background-image: linear-gradient(rgb(14, 134, 189) 20%, rgb(14, 134, 189) 50%, rgb(14, 134, 189) 52%, rgb(14, 134, 189) 100%);
}

input[type="submit"].ok:active {
    background-color: rgb(13, 117, 165);
    background-image: linear-gradient(rgb(13, 117, 165) 20%, rgb(13, 117, 165) 50%, rgb(13, 117, 165) 52%, rgb(13, 117, 165) 100%);
}

input[type="button"].scratch {
    border: 1px solid rgb(113, 113, 113);
    background-color: rgb(90, 90, 90);
    background-image: linear-gradient(rgb(90, 90, 90) 20%, rgb(90, 90, 90) 50%, rgb(90, 90, 90) 52%, rgb(90, 90, 90) 100%);
    padding: 8px 10px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    min-width: 120px;
    color: #ffffff;
    border-radius: 3px;
    cursor: pointer;
    font-size: 15px;
    min-height: 40px;
    box-sizing: border-box;
}

input[type="button"].scratch:hover {
    background-color: rgb(122, 122, 122);
    background-image: linear-gradient(rgb(122, 122, 122) 20%, rgb(122, 122, 122) 50%, rgb(122, 122, 122) 52%, rgb(122, 122, 122) 100%);
}

input[type="button"].scratch:active {
    background-image: linear-gradient(rgb(90, 90, 90) 20%, rgb(90, 90, 90) 50%, rgb(90, 90, 90) 52%, rgb(90, 90, 90) 100%);
}

input[type="button"].no {
    border: 1px solid rgb(188, 19, 19);
    background-color: rgb(203, 23, 23);
    background-image: linear-gradient(rgb(203, 23, 23) 20%, rgb(203, 23, 23) 50%, rgb(203, 23, 23) 52%, rgb(203, 23, 23) 100%);
    padding: 8px 10px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    min-width: 120px;
    color: #ffffff;
    border-radius: 3px;
    cursor: pointer;
    font-size: 15px;
    min-height: 40px;
    box-sizing: border-box;
}

input[type="button"].no:hover {
    background-color: rgb(216, 62, 62);
    background-image: linear-gradient(rgb(216, 62, 62) 20%, rgb(216, 62, 62) 50%, rgb(216, 62, 62) 52%, rgb(216, 62, 62) 100%);
}

input[type="button"].no:active {
    background-color: rgb(203, 23, 23);
    background-image: linear-gradient(rgb(203, 23, 23) 20%, rgb(203, 23, 23) 50%, rgb(203, 23, 23) 52%, rgb(203, 23, 23) 100%);
}